Community
cancel
Showing results for 
Search instead for 
Did you mean: 
YHiro4
Novice
1,816 Views

I cannot launch Nios II Software Build Tool for Eclipse (Quartus Prime 18.1).

To​ launch Eclipse, a dialog pop-up. "An error has occurred. See the log file"

 

The Contents of log file is

-------------------------------------------------------------------------------

 

!SESSION 2018-11-01 09:50:57.513 -----------------------------------------------

eclipse.buildId=4.5.2.M20160212-1500

java.version=1.8.0_05

java.vendor=Oracle Corporation

BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=ja_JP

Framework arguments: -product org.eclipse.epp.package.cpp.product -pluginCustomization C:/intelfpga_lite/18.1/nios2eds/bin/eclipse_nios2/plugin_customization.ini

Command-line arguments: -os win32 -ws win32 -arch x86_64 -product org.eclipse.epp.package.cpp.product -pluginCustomization C:/intelfpga_lite/18.1/nios2eds/bin/eclipse_nios2/plugin_customization.ini

!ENTRY org.eclipse.osgi 4 0 2018-11-01 09:51:00.009

!MESSAGE Application error

!STACK 1

java.lang.RuntimeException: Application "org.eclipse.ui.ide.workbench" could not be found in the registry. The applications available are: org.eclipse.cdt.codan.core.application, org.eclipse.cdt.core.GeneratePDOM, org.eclipse.cdt.managedbuilder.core.headlessbuild, org.eclipse.e4.ui.workbench.swt.E4Application, org.eclipse.e4.ui.workbench.swt.GenTopic, org.eclipse.equinox.app.error, org.eclipse.help.base.infocenterApplication, org.eclipse.help.base.helpApplication, org.eclipse.help.base.indexTool.

 at org.eclipse.equinox.internal.app.EclipseAppContainer.startDefaultApp(EclipseAppContainer.java:248)

 at org.eclipse.equinox.internal.app.MainApplicationLauncher.run(MainApplicationLauncher.java:29)

 at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)

 at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)

 at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:380)

 at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:235)

 at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

 at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)

 at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)

 at java.lang.reflect.Method.invoke(Unknown Source)

 at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:669)

 at org.eclipse.equinox.launcher.Main.basicRun(Main.java:608)

 at org.eclipse.equinox.launcher.Main.run(Main.java:1515)

 at org.eclipse.equinox.launcher.Main.main(Main.java:1488)

 

-------------------------------------------------------------------------------

 

what to do to launch Eclipse?

0 Kudos
5 Replies
AnandRaj_S_Intel
Employee
354 Views

Hi,

 

Run as administrator.

or reinstall quartus and check.

 

Let me know if this has helped resolve the issue you are facing or if you need any further assistance.

 

Best Regards,

Anand Raj Shankar

(This message was posted on behalf of Intel Corporation)

 

 

YHiro4
Novice
354 Views

Hell Anand I try to run as administrator, and uninstall/reinstall. But,erro is still occurred. Is there what to do to solve this problem?
AnandRaj_S_Intel
Employee
354 Views

Hi,

 

I'm using Quartus​ lite 18.1 in windows 10.

We can successfully launch eclipse without any error.

 

Best Regards,

Anand Raj Shankar

(This message was posted on behalf of Intel Corporation)EclipselaunchQ18.1Lite.JPG

Abe
Valued Contributor II
354 Views

Install the latest Java Run time and then check if you can launch Eclipse. The Eclipse tools require the latest Java v8 and above to run.

YHiro4
Novice
354 Views

Hi, Abe

 

My environment is

 Windows7 Professional SP1 64bit

 ​Nios II EDS 18.1.0.625

 Java Version 8 Udate191.

 

Java is latest version ,but don't run eclipse.

 

I tried uninstall Quartus Prime and Java, and Install only Quartus Prime.

So,Eclipse Normaly Run.

 

Thanks.

 

Reply